import 'nav_scraper.dart';
import 'credentials.dart';

void main() async {
  NavScraper ns = new NavScraper(
      rut: Credentials.rut,
      pass: Credentials.pass
  );
  
  ns.login().then((result) async {
    if (result) {
      for(Map course in await ns.getCourses()) {
        (await ns.getCourseData(
          c_asignatura: course['c_asignatura'],
          ano: course['ano'],
          n_periodo: course['n_periodo'],
          t_periodo: course['t_periodo'],
          paralelo: course['paralelo']
        )).forEach((Map<String,String> courseData) =>
          courseData.forEach((String campo, String valor) => 
            print('$campo: $valor')
          )
        );
      }
    }
  });
}